Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155520 - Punjabi Keyboard Problems
Summary: Punjabi Keyboard Problems
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: iiimf
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jens Petersen
QA Contact:
URL:
Whiteboard:
Depends On: 151477
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-21 01:31 UTC by Leon Ho
Modified: 2007-11-30 22:11 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-27 02:58:44 UTC


Attachments (Terms of Use)

Description Leon Ho 2005-04-21 01:31:39 UTC
+++ This bug was initially created as a clone of Bug #151477 +++

Description of problem:
There are One Punjabi Character is missing from Keyboard. Punjabi Phonetic has
no key for U0A23.  English  Character  R is there which  has no meaning in
Punjabi keyboard layout.

Version-Release number of selected component (if applicable):


How reproducible:
Everytime

Steps to Reproduce:
1. Open  gedit.
2. Select input  Language as pa_IN. UTF-8
3.  there is no  keystoke for U0A23, b
4.  Press Shift + R, 
5.  Press  shift + | 
Actual results:
1) R
2)   | (English character)
Expected results:
1)  "à©à¨°" 
2)  "।" (hindi danda)  
Additional info:

Comment 1 Jens Petersen 2005-05-16 14:19:01 UTC
This should be fixed in iiimf-12.2.

Comment 2 Lawrence Lim 2005-06-27 05:40:40 UTC
Aalam,
I have tried comparing the output for the keypress 'b' which suppose to output
0A23 'ਣ', instead I have the following, inscript b - ਵ (inscript), b - ਬ
(phonetic) and B - ਭ (phonetic). Could you please verify??

Tested with iiimf-12.2-5.

Thanks.



Comment 3 A S Alam 2005-06-27 08:57:58 UTC
yes, that is working for iiimf-12.2-4 also. I tested and result is expected

Comment 5 A S Alam 2005-06-28 09:19:38 UTC
I want 'ਣ' (U0A23), which is now available at "x" key. "b" and "B" keys are ok
with Punjabi characters as "ਬ" and "ਭ" (using Phonetic Keyboard).

Comment 6 Akira TAGOH 2005-07-28 14:38:30 UTC
This problem should be fixed in current devel package and should be also fixed
in 12.1-10.FC3.1 for fc3.

Comment 7 Lawrence Lim 2005-09-27 02:58:44 UTC
Confirm fixed.


Note You need to log in before you can comment on or make changes to this bug.